import React, { Component } from 'react'
import { NICE, SUPER_NICE } from './colors'

import styles from './App.css'

export class Counter extends Component {
  constructor (props) {
    super(props)
    this.state = { counter: 0 }
    this.interval = setInterval(() => this.tick(), 1000)
  }

  tick () {
    this.setState({
      counter: this.state.counter + this.props.increment
    })
  }

  componentWillUnmount () {
    clearInterval(this.interval)
  }

  render () {
    return (
      <h1 style={{ color: this.props.color }}>
        Counter ({this.props.increment}): {this.state.counter}
      </h1>
    )
  }
}

export class App extends Component {
  render () {
    return (
      <div className={styles.container}>
        <Counter increment={1} color={NICE} />
        <Counter increment={5} color={SUPER_NICE} />
      </div>
    )
  }
}
